unit Unit7;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.StdCtrls, WEBLib.StdCtrls, WEBLib.ExtCtrls,
  WEBLib.ComCtrls, Vcl.Controls, WEBLib.Grids, Vcl.Imaging.pngimage,
  WEBLib.SideMenu, WEBLib.WebCtrls;

type
  TForm7 = class(TWebForm)
    WebSideMenu1: TWebSideMenu;
    WebPanel1: TWebPanel;
    WebResponsiveGrid1: TWebResponsiveGrid;
    WebPanel2: TWebPanel;
    WebPageControl1: TWebPageControl;
    WebPageControl1Sheet1: TWebTabSheet;
    WebPageControl1Sheet2: TWebTabSheet;
    WebPageControl1Sheet3: TWebTabSheet;
    WebPageControl1Sheet4: TWebTabSheet;
    WebPageControl1Sheet5: TWebTabSheet;
    WebPageControl1Sheet6: TWebTabSheet;
    WebResponsiveGrid2: TWebResponsiveGrid;
    WebResponsiveGrid3: TWebResponsiveGrid;
    WebResponsiveGrid4: TWebResponsiveGrid;
    procedure WebFormCreate(Sender: TObject);
    procedure SetPageControlTransparent;
    procedure WebPageControl1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form7: TForm7;

implementation

{$R *.dfm}
procedure TForm7.SetPageControlTransparent;
var
  i: Integer;
begin
  // Set the PageControl background to transparent
  webpageControl1.ElementHandle.style.setProperty('background', 'transparent', 'important');
  webpageControl1.ElementHandle.style.setProperty('border', 'none', 'important');
//
  // Loop through each TabSheet and make it transparent
  for i := 0 to webpageControl1.PageCount - 1 do
  begin
    webpageControl1.Pages[i].ElementHandle.style.setProperty('background', 'transparent', 'important');
    webpageControl1.Pages[i].ElementHandle.style.setProperty('border', 'none', 'important');
  end;
end;
procedure TForm7.WebFormCreate(Sender: TObject);
begin


  SetPageControlTransparent;
end;

procedure TForm7.WebPageControl1Click(Sender: TObject);
begin
    SetPageControlTransparent;
end;

end.